// transscrollView.h : interface of the CTransscrollView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSSCROLLVIEW_H__83AE05EA_CB8C_44DE_8C4F_B6C37619230B__INCLUDED_)
#define AFX_TRANSSCROLLVIEW_H__83AE05EA_CB8C_44DE_8C4F_B6C37619230B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CTransscrollView : public CScrollView
{
protected: // create from serialization only
	CTransscrollView();
	DECLARE_DYNCREATE(CTransscrollView)

// Attributes
public:
	CTransscrollDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransscrollView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTransscrollView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTransscrollView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CFont m_ftTimes;
	int m_nLineHt;
};

#ifndef _DEBUG  // debug version in transscrollView.cpp
inline CTransscrollDoc* CTransscrollView::GetDocument()
   { return (CTransscrollDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSSCROLLVIEW_H__83AE05EA_CB8C_44DE_8C4F_B6C37619230B__INCLUDED_)
